Vinix· docs
API referenceCore APINumbers & TrunksTrunks (resources)

Get Trunk

Sandbox is coming soon

Today, requests on this page run against your live account. A hosted sandbox with simulated PSTN is on the roadmap — until then, use a non-production user or callflow when experimenting.

Details
GET
/accounts/{account_id}/resources/{resource_id}

Authorization

AuthToken
X-Auth-Token<token>

Obtain via PUT /v2/user_auth (user credentials) or PUT /v2/api_auth (account API key). See Authentication.

In: header

Path Parameters

account_id*string

Vinix account identifier.

resource_id*string

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/accounts/string/resources/string"
{
  "data": {
    "caller_id_options": {
      "type": "internal"
    },
    "cid_rules": [
      "string"
    ],
    "classifiers": {
      "property1": {
        "emergency": false,
        "enabled": true,
        "prefix": "string",
        "regex": "string",
        "suffix": "string",
        "weight_cost": 50
      },
      "property2": {
        "emergency": false,
        "enabled": true,
        "prefix": "string",
        "regex": "string",
        "suffix": "string",
        "weight_cost": 50
      }
    },
    "emergency": false,
    "enabled": true,
    "flags": [],
    "flat_rate_blacklist": "string",
    "flat_rate_whitelist": "string",
    "format_from_uri": true,
    "formatters": {
      "property1": [
        {
          "direction": "inbound",
          "match_invite_format": true,
          "prefix": "string",
          "regex": "/regex/",
          "strip": true,
          "suffix": "string",
          "value": "string"
        }
      ],
      "property2": [
        {
          "direction": "inbound",
          "match_invite_format": true,
          "prefix": "string",
          "regex": "/regex/",
          "strip": true,
          "suffix": "string",
          "value": "string"
        }
      ]
    },
    "from_account_realm": false,
    "from_uri_realm": "string",
    "gateway_strategy": "sequential",
    "gateways": [
      {}
    ],
    "grace_period": 5,
    "ignore_flags": true,
    "media": {
      "audio": {},
      "bypass_media": true,
      "encryption": {},
      "fax_option": true,
      "ignore_early_media": true,
      "progress_timeout": 0,
      "video": {}
    },
    "name": "string",
    "require_flags": true,
    "rules": [],
    "rules_test": [],
    "weight_cost": 50
  }
}
{
  "code": "string",
  "message": "string",
  "request_id": "string"
}
{
  "code": "string",
  "message": "string",
  "request_id": "string"
}